aboutsummaryrefslogtreecommitdiffstats
path: root/systems
diff options
context:
space:
mode:
authorAihua Li <aihua.li@huawei.com>2015-01-20 18:59:00 -0800
committerAihua Li <aihua.li@huawei.com>2015-02-04 10:07:35 -0800
commit15be02bd8a6d302ea883f624fdb197d85ebb09d1 (patch)
tree7a0908d9c6633403ee65c705b67af56db4544408 /systems
parent1c01799faec20d5b26b39945dae25098af5adc31 (diff)
Added baseline project directory layout
Change-Id: I4295fa3cb02b13677662d407dc8f81a16f60110c Reviewed-by: Maryam Tahhan <maryam.tahhan@intel.com> Reviewed-by: Stephen Finucane <stephen.finucane@intel.com> Reviewed-by: Bin Hu <bh526r@att.com> JIRA: VSPERF-15 Signed-off-by: Aihua Li <aihua.li@huawei.com>
Diffstat (limited to 'systems')
-rw-r--r--systems/README1
-rwxr-xr-xsystems/Ubuntu/build_base_machine.sh62
-rwxr-xr-xsystems/build_base_machine.sh39
3 files changed, 102 insertions, 0 deletions
diff --git a/systems/README b/systems/README
new file mode 100644
index 00000000..16ebc0c5
--- /dev/null
+++ b/systems/README
@@ -0,0 +1 @@
+This folder abstract out details among linux distros.
diff --git a/systems/Ubuntu/build_base_machine.sh b/systems/Ubuntu/build_base_machine.sh
new file mode 100755
index 00000000..be1e25d5
--- /dev/null
+++ b/systems/Ubuntu/build_base_machine.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# Build a base machine for Ubuntu style distro
+#
+# Copyright 2015 OPNFV
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+
+# Synchronize package index files
+apt-get -y update
+
+# Make and Compilers
+apt-get -y install make
+apt-get -y install automake
+apt-get -y install gcc
+apt-get -y install gcc++
+apt-get -y install libssl1.0.0
+apt-get -y install libxml2
+apt-get -y install zlib1g-dev
+apt-get -y install scapy
+
+# Linux Kernel Source
+apt-get -y install linux-source
+apt-get -y install pkg-config
+
+# Install package dependecies
+apt-get -y install libncurses5-dev
+apt-get -y install curl
+apt-get -y install libcurl4-openssl-dev
+apt-get -y install autoconf libtool
+apt-get -y install libpcap-dev
+apt-get -y install libglib2.0
+
+# Some useful tools you may optionally install
+#apt-get -y install ctags
+#apt-get -y install wireshark
+
+# packages related to VM
+
+# a few manual fix up on a ubuntu
+cd /lib/x86_64-linux-gnu
+ln -sf libssl.so.1.0.0 libssl.so
+ln -sf libcrypto.so.1.0.0 libcrypto.so
+
+cd /usr/lib/x86_64-linux-gnu
+ln -sf libxml2.so.2 libxml2.so
+
+
+
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
new file mode 100755
index 00000000..82cf4762
--- /dev/null
+++ b/systems/build_base_machine.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Top level scripts to build basic setup for the host
+#
+
+# Copyright 2015 OPNFV
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+
+# function to emit error message before quitting
+function die() {
+ echo $1
+ exit 1
+}
+
+# determine this machine's distro-version
+
+distro=`lsb_release -i | cut -f 2`
+distro_dir=$distro
+
+if [ -d "$distro_dir" ] && [ -e $distro_dir/build_base_machine.sh ]; then
+ $distro_dir/build_base_machine.sh
+else
+ die "$distro_dir is not yet supported"
+fi